Bug 1496526 - When installing in Hongkong Chinese (zh_HK), gnome-initial-setup offers “cangjie” but no cangjie input method is installed
Summary: When installing in Hongkong Chinese (zh_HK), gnome-initial-setup offers “cang...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-27 16:40 UTC by Mike FABIAN
Modified: 2018-09-20 14:49 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-20 14:49:29 UTC
Type: Bug


Attachments (Terms of Use)
hongkong-chinese-default-installation-no-cangjie-input-method-installed.png (253.04 KB, image/png)
2017-09-27 16:40 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2017-09-27 16:40:15 UTC
Created attachment 1331485 [details]
hongkong-chinese-default-installation-no-cangjie-input-method-installed.png

I installed Fedora-Workstation-netinst-x86_64-27_Beta-1.3.iso
in qemu like this:

nice -n 19 ionice -c 3 qemu-kvm -machine pc-i440fx-2.4 -enable-kvm -global qxl.ram_size=1x1024 -m 2048M -smp 2 -drive file=./Fedora-Workstation-netinst-x86_64-27_Beta-1.3.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-Workstation-netinst-x86_64-27_Beta-1.3.iso.qcow2-output.log -name Fedora-Workstation-netinst-x86_64-27_Beta-1.3.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-27/Fedora-Workstation-netinst-x86_64-27_Beta-1.3.iso -boot c -spice port=6002,disable-ticketing,streaming-video=off -vga virtio -display vnc=:6 -net nic -net user,hostname=Fedora-Workstation-netinst-x86_64-27_Beta-1.3.iso.qcow2,hostfwd=tcp::5558-:22 -monitor stdio -usb -usbdevice mouse -soundhw all

At the first page of the installation I did choose Hongkong Chinese locale (zh_HK)
and then accepted all defaults.

When first logging into Gnome, gnome-initial-setup offered a "cangjie" input method
which seems nice for Hongkong Chinese. So I did choose it.

Then I was surprised why I didn't see any input method switcher in the Gnome panel.
I had expected to be able to choose between "cn" (Chinese keyboard layout,
idential to the "us" layout) and a "cangjie" input method.

So I checked in the region and language settings of gnome-control-center
and found that "cangjie" was listed there.

But as no cangjie input method was installed, it didn't work.

See the attached screenshot.

Comment 1 Peng Wu 2017-09-28 09:50:22 UTC
Created Pull Request for fedora-comps to fix the bug.

URL: https://pagure.io/fedora-comps/pull-request/176

Comment 2 Martin Kolman 2017-09-29 11:06:23 UTC
I wonder if Anaconda is the correct component for this ? Do we set something incorrectly during the the installation run ?

Or is it more likely a change in Gnome Initial Setup or a compose change (comment 1) will fix the issue ? In such case the component should be changed accordingly.

Comment 3 Mike FABIAN 2017-10-02 16:43:30 UTC
(In reply to Martin Kolman from comment #2)
> I wonder if Anaconda is the correct component for this ? Do we set something
> incorrectly during the the installation run ?
> 
> Or is it more likely a change in Gnome Initial Setup or a compose change
> (comment 1) will fix the issue ? In such case the component should be
> changed accordingly.

Yes, but there seems to be no "fedora-comps" component ...

Comment 4 Kevin Fenzi 2017-10-02 21:29:04 UTC
Looks ok to me. Merged.

Comment 5 Mike FABIAN 2017-10-05 07:38:07 UTC
Also  the “ibus-cangjie-engine-cangjie” needs to be in the
default input method group to get it into the live DVD.

Having it in the zh_TW language group is not enough because
that language group is not installed by default.

Comment 6 Mike FABIAN 2017-10-06 15:41:40 UTC
The problem still occurs when
installing Fedora-Workstation-netinst-x86_64-27_Beta-1.5.iso

Comment 7 Jens Petersen 2017-10-07 04:07:03 UTC
Can one of you please open a PR for it, thanks?

Comment 8 Peng Wu 2017-10-09 08:15:47 UTC
Created Pull Request for fedora-comps to fix the bug again.

URL: https://pagure.io/fedora-comps/pull-request/178


Note You need to log in before you can comment on or make changes to this bug.